CMSIS-NN: para_gen Namespace Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions | Variables
para_gen Namespace Reference

## Functions

def | convert_to_x4_weights
def | convert_q7_q15_weights

## Variables

int | vec_dim
int | row_dim
tuple | update_weight
tuple | reset_weight
tuple | hidden_weight
tuple | update_bias
tuple | reset_bias
tuple | hidden_bias
tuple | input_data1
tuple | input_data2
tuple | history_data
tuple | outfile
tuple | weight
tuple | new_weight

## Function Documentation

def para_gen.convert_q7_q15_weights | ( |  | weights | ) |

def para_gen.convert_to_x4_weights | ( |  | weights | ) |

## Variable Documentation

tuple para_gen.hidden_bias

tuple para_gen.hidden_weight

tuple para_gen.history_data

tuple para_gen.input_data1

tuple para_gen.input_data2

tuple para_gen.new_weight

tuple para_gen.outfile

tuple para_gen.reset_bias

tuple para_gen.reset_weight

int para_gen.row_dim

Referenced by arm_fully_connected_s8().

tuple para_gen.update_bias

tuple para_gen.update_weight

int para_gen.vec_dim

tuple para_gen.weight